
new;
library ccf,pgraph;

S0 = 100;
K = 98;
sigma = 0.15;
tau = 95/365;
r = 0.08;

C = EuropeanBScall(S0,K,sigma,tau,r);

proc A(t,x);
  retp(r*x);
endp;

proc B(t,x);
  retp(sigma*x);
endp;

rndseed 123;
Ns = 300;

{t,S} = Euler_Maruyama(S0,&A,&B,0,tau,100,Ns);

ST = S[101,.]';
PayOff = (ST - K) .* ( (ST-K) .> 0 );
Csimul = cumsumc(PayOff) ./ seqa(1,1,Ns);

graphset;
  _pdate = ""; _pnum = 2;
  title("Simulation de Monte-Carlo de la prime d'une option d'achat"\
        "\LEtude de la convergence");
  _pline = 1~1~0~C~Ns~C~1~2~10;
  xlabel("Nombre de Simulations");
  ylabel("Prime");
  ytics(3,7,1,10);
  graphprt("-c=1 -cf=ccf32.eps -w=5");
  xy(seqa(1,1,Ns),Csimul);

