new;

output file = ccf33.out reset;

beta = mco(rndn(100,1),rndn(200,4));
scalerr(beta);

beta = mco(rndn(10,1),rndn(10,20));
scalerr(beta);

beta = mco(rndn(10,1),rndn(10,2));
scalerr(beta);

y = rndn(10,1);
x = rndn(10,2);
beta = mco(y,x~x);
scalerr(beta);


output off;


proc mco(y,x);
  local Nobs,K,beta;

  Nobs = rows(y);
  K = cols(x);

  if rows(x) /= Nobs;
    ERRORLOG "erreur : y et x n'ont pas le meme nombre d'observations.";
    retp(error(1));
  endif;

  if K > Nobs;
    ERRORLOG "erreur : Le nombre d'observations est moins grand que le "\
             "nombre de variables.";
    retp(error(2));
  endif;

  beta = invpd(x'x)*x'y;

  retp(beta);
endp;

